u3-tool(1)

NAME
u3-tool - Tool for controlling the special features of an U3 USB Flash disk.

SYNOPSIS
u3-tool [-cdDehiRuvV] [-l cd image ] [-p cd size ] device

DESCRIPTION
This tool can be used to control some of the special features of U3 Flash disks.

OPTIONS

-c  Change current password.

-d  Disable device security leaving the data intact. The current password is required to perform this command. WARNING: this makes all current data files AND possibly also deleted data public.

-D  Dump all raw info(for debug)

-e  Enable device security, protecting all files currently on the data partition using a password.

-h  Print a short help message.

-i  Display device information.

-l <cd image>
    Load a new CD image into the cd partition of the device. Make sure the cd partition is big enough to contain the file. Else you'll have to repartition the device using the '-p' option.

-p <cd size>
    Repartition device, reassinging the device space between the cd and data partition. The argument specifies the size of the CD partition. The rest of the device will be assigned to the data partition. The data partition needs reformating after this command has been issued.

-R  Reset device security destroying private data. This can be used if the device is blocked or the password is lost.

-u  Unlock secured data partition. This requires the current password.

-v  Use verbose output

-V  Print version information